/**
 * 重要：：请根据此配置，创建一份 config.js 并修改其配置，系统默认只加载 config.js
 */

/**
 * MySQL数据库配置
 */
const SERVER_HOST = 'http://localhost';
// Node服务器端口
const SERVER_PORT = 3001;
// 服务器IP地址
const DATABASE_HOST = '';
// 数据库端口
const DATABASE_PORT = 3306;
// 数据库用户名
const DATABASE_USER = 'root';
// 数据库密码
const DATABASE_PASSWORD = '';
// 数据库名称
const DATABASE_NAME = 'marsview';

/**
 * 飞书应用配置，用来发送飞书消息
 */
const FEISHU_APP_ID = '';
const FEISHU_APP_SECRET = '';

/**
 * JWT签名密钥和过期时间
 */
const JWT_SECRET = 'marsview_jwt_secret';
const JWT_EXPIRES_IN = '5d';

/**
 * 文件上传OSS配置
 * OSS_TYPE: minio | baidu | aliyun
 */
// OSS服务类型
const OSS_TYPE = 'baidu';
//只有minio需要
const OSS_PORT = 9000;
// 是否使用HTTPS
const OSS_USESSL = false;
// 阿里云OSS需要填写区域,如oss-cn-hangzhou
const OSS_REGION = 'oss-cn-guangzhou';
// 百度云OSS填写域名、minio填写IP地址
const OSS_ENDPOINT = '';
const OSS_BUCKET = 'marsview';
const OSS_ACCESSKEY = '';
const OSS_ACCESSKEYSECRET = '';
// CDN域名
const OSS_CDNDOMAIN = 'https://marscloud.cdn.bcebos.com';

/**
 * 邮箱服务配置
 */
const EMAIL_HOST = 'smtp.163.com';
const EMAIL_PORT = 465;
const EMAIL_USER = '';
const EMAIL_PASSWORD = '';

/**
 * 微信登录配置，没有可默认为空
 */
const WECHAT_APP_ID = '';
const WECHAT_APP_SECRET = '';

/**
 * 大模型配置
 */
const AI_BASE_URL = 'https://dashscope.aliyuncs.com/compatible-mode/v1';
const AI_KEY = '';
const EMBEDDING = 'text-embedding-v3';
const MODEL = 'qwen-plus';
const DATABASE_URL = 'postgresql://';
const ZHIPU_AI_KEY = '';

/**
 * 模型配置
 * 此服务需付费使用（未付费开启会导致页面和项目创建报错）
 */
// 模型服务调用地址
const MODEL_BASE_URL = '';
// 启用后端模型服务，
const ENABLE_MODEL_SERVICE = true;

module.exports = {
  SERVER_HOST,
  SERVER_PORT,
  DATABASE_HOST,
  DATABASE_PORT,
  DATABASE_USER,
  DATABASE_PASSWORD,
  DATABASE_NAME,
  FEISHU_APP_ID,
  FEISHU_APP_SECRET,
  JWT_SECRET,
  JWT_EXPIRES_IN,
  OSS_TYPE,
  OSS_REGION,
  OSS_ENDPOINT,
  OSS_PORT,
  OSS_USESSL,
  OSS_BUCKET,
  OSS_ACCESSKEY,
  OSS_ACCESSKEYSECRET,
  OSS_CDNDOMAIN,
  EMAIL_HOST,
  EMAIL_PORT,
  EMAIL_USER,
  EMAIL_PASSWORD,
  WECHAT_APP_ID,
  WECHAT_APP_SECRET,
  ZHIPU_AI_KEY,
  AI_BASE_URL,
  AI_KEY,
  EMBEDDING,
  MODEL,
  DATABASE_URL,
  MODEL_BASE_URL,
  ENABLE_MODEL_SERVICE,
};
