const Router = require('@koa/router');
const router = new Router({ prefix: '/api/projects' });
const projectsController = require('../controller/projects.controller');

/**
 * 项目服务API接口
 */

// 获取所属项目列表
router.get('/list', projectsController.getCategoryList);

// 获取全量项目列表
router.get('/getProjectList', projectsController.getProjectList);

// 创建项目
router.post('/create', projectsController.create);

// 删除项目
router.post('/delete', projectsController.delete);

// 更新项目
router.post('/update', projectsController.update);

// 获取项目详情
router.get('/detail/:id', projectsController.detail);

// 检查项目权限
router.post('/checkAuth', projectsController.checkProjectAuth);

// 项目一键发布
router.post('/oneClickPublishing', projectsController.oneClickPublishing);

module.exports = router;
