const Router = require('@koa/router');
const router = new Router({ prefix: '/api/templates' });
const templates = require('../controller/templates.controller');

/**
 * 模板市场接口
 */

/**
 * 模板列表
 */
router.get('/list', templates.list);

/**
 * 模板详情
 */
router.get('/detail/:id', templates.detail);

/**
 * 创建模板
 */
router.post('/create', templates.create);

/**
 * 删除模板
 */
router.post('/delete', templates.delete);

/**
 * 更新模板
 */
router.post('/update', templates.update);

module.exports = router;
